This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870725 - (sucrack) Review Request: sucrack - A su cracker
Review Request: sucrack - A su cracker
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-10-28 04:20 EDT by Fabian Affolter
Modified: 2014-09-11 11:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 21:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-10-28 04:20:03 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/sucrack.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/sucrack-1.2.3-1.fc17.src.rpm

Project URL: http://www.leidecker.info/projects/sucrack.shtml

Description:
sucrack is a multithreaded Linux/UNIX tool for brute-force cracking local user
accounts via su. This tool comes in handy as final instance on a system where
you have not to many privileges but you are in the wheel group. Many su
implementations require a pseudo terminal to be attached in order to take the
password from the user. This is why you couldn't just use a simple shell script
to do this work. This tool, written in c, is highly efficient and can attempt
multiple logins at the same time. Please be advised that using this tool will
take a lot of the CPU performance and fill up the logs quite quickly.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4632944

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint sucrack-1.2.3-1.fc17.src.rpm
sucrack.src: W: spelling-error Summary(en_US) su -> sew, us, s
sucrack.src: W: spelling-error %description -l en_US multithreaded -> multicolored
sucrack.src: W: spelling-error %description -l en_US su -> sew, us, s
sucrack.src: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

[fab@laptop11 x86_64]$ rpmlint sucrack-*
sucrack.x86_64: W: spelling-error Summary(en_US) su -> sew, us, s
sucrack.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
sucrack.x86_64: W: spelling-error %description -l en_US su -> sew, us, s
sucrack.x86_64: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab
Comment 1 Mario Blättermann 2012-10-28 14:20:34 EDT
$ rpmlint -i -v *
sucrack.src: I: checking
sucrack.src: W: spelling-error Summary(en_US) su -> sew, us, s
The value of this tag appears to be misspelled. Please double-check.

sucrack.src: W: spelling-error %description -l en_US multithreaded -> multicolored
The value of this tag appears to be misspelled. Please double-check.

sucrack.src: W: spelling-error %description -l en_US su -> sew, us, s
The value of this tag appears to be misspelled. Please double-check.

sucrack.src: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
The value of this tag appears to be misspelled. Please double-check.

sucrack.src: I: checking-url http://www.leidecker.info/projects/sucrack.shtml (timeout 10 seconds)
sucrack.src: I: checking-url http://www.leidecker.info/projects/sucrack/sucrack-1.2.3.tar.gz (timeout 10 seconds)
sucrack.i686: I: checking
sucrack.i686: W: spelling-error Summary(en_US) su -> sew, us, s
The value of this tag appears to be misspelled. Please double-check.

sucrack.i686: W: spelling-error %description -l en_US multithreaded -> multicolored
The value of this tag appears to be misspelled. Please double-check.

sucrack.i686: W: spelling-error %description -l en_US su -> sew, us, s
The value of this tag appears to be misspelled. Please double-check.

sucrack.i686: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
The value of this tag appears to be misspelled. Please double-check.

sucrack.i686: I: checking-url http://www.leidecker.info/projects/sucrack.shtml (timeout 10 seconds)
sucrack.x86_64: I: checking
sucrack.x86_64: W: spelling-error Summary(en_US) su -> sew, us, s
The value of this tag appears to be misspelled. Please double-check.

sucrack.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
The value of this tag appears to be misspelled. Please double-check.

sucrack.x86_64: W: spelling-error %description -l en_US su -> sew, us, s
The value of this tag appears to be misspelled. Please double-check.

sucrack.x86_64: W: spelling-error %description -l en_US logins -> losing, loins, lo gins
The value of this tag appears to be misspelled. Please double-check.

sucrack.x86_64: I: checking-url http://www.leidecker.info/projects/sucrack.shtml (timeout 10 seconds)
sucrack-debuginfo.i686: I: checking
sucrack-debuginfo.i686: I: checking-url http://www.leidecker.info/projects/sucrack.shtml (timeout 10 seconds)
sucrack-debuginfo.x86_64: I: checking
sucrack-debuginfo.x86_64: I: checking-url http://www.leidecker.info/projects/sucrack.shtml (timeout 10 seconds)
sucrack.spec: I: checking-url http://www.leidecker.info/projects/sucrack/sucrack-1.2.3.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 0 errors, 12 warnings.


No real issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    f0cce09be99e1b3bc04e0d0e36424b61f187d1a6501597a30c7aeaf3bab73bab  sucrack-1.2.3.tar.gz
    f0cce09be99e1b3bc04e0d0e36424b61f187d1a6501597a30c7aeaf3bab73bab  sucrack-1.2.3.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 2 Fabian Affolter 2012-10-31 18:57:43 EDT
New Package SCM Request
=======================
Package Name: sucrack
Short Description: A su cracker
Owners: fab
Branches: f17 f18
InitialCC:
Comment 3 Kevin Fenzi 2012-10-31 22:07:01 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-11-01 17:48:35 EDT
sucrack-1.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sucrack-1.2.3-1.fc17
Comment 5 Fedora Update System 2012-11-01 17:48:46 EDT
sucrack-1.2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sucrack-1.2.3-1.fc18
Comment 6 Fedora Update System 2012-11-02 14:43:21 EDT
sucrack-1.2.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2012-11-18 21:28:53 EST
sucrack-1.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Fabian Affolter 2014-09-11 10:14:37 EDT
Package Change Request
======================
Package Name: sucrack
New Branches: el6 epel7
Owners: fab 
InitialCC:
Comment 9 Jon Ciesla 2014-09-11 11:22:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.